commoble.exmachina.data

## Class StateReader

- java.lang.Object
- - commoble.exmachina.data.StateReader

    public class StateReader
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`StateReader()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.function.Predicate<net.minecraft.block.BlockState>` `parseVariantKey(net.minecraft.state.StateContainer<net.minecraft.block.Block,net.minecraft.block.BlockState> stateContainer, java.lang.String keyList)` This is based on how blockstate jsons are parsed in ModelBakery; we need it to be available for server data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StateReader

    public StateReader()

### Method Detail

#### parseVariantKey

    public static java.util.function.Predicate<net.minecraft.block.BlockState> parseVariantKey(net.minecraft.state.StateContainer<net.minecraft.block.Block,net.minecraft.block.BlockState> stateContainer,
                                                                                               java.lang.String keyList)

This is based on how blockstate jsons are parsed in ModelBakery; we need it to be available for server data. Parses a blockstate property filter string into a blockstate predicate.

Parameters:
  `stateContainer` - A statecontainer from a Block
  `keyList` - A blockstate property filter (same format as blockstate .jsons)
Returns:
  A Predicate that returns true for the states specified by the string and false otherwise